Bug 1773382 - Review Request: home-assistant-cli - Command-line tool for Home Assistant
Summary: Review Request: home-assistant-cli - Command-line tool for Home Assistant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1748956 1818602
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2019-11-17 23:56 UTC by Fabian Affolter
Modified: 2020-05-03 04:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 04:05:51 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-11-17 23:56:38 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/home-assistant-cli.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/home-assistant-cli-0.8.0-1.fc31.src.rpm

Project URL: https://github.com/home-assistant/home-assistant-cli

Description:
The Home Assistant Command-line interface (hass-cli) allows one to work with
a local or a remote Home Assistant instance directly from the command-line.

Koji scratch build:
-

rpmlint output:
$ rpmlint home-assistant-cli-0.8.0-1.fc31.src.rpm 
home-assistant-cli.src: W: spelling-error %description -l en_US hass -> sash, has, ass
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint home-assistant-cli-0.8.0-1.fc31.noarch.rpm 
home-assistant-cli.noarch: W: spelling-error %description -l en_US hass -> sash, has, ass
home-assistant-cli.noarch: W: no-manual-page-for-binary hass-cli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Jared Smith 2019-11-18 18:52:47 UTC
SRPM doesn't appear to build in mock (configured for rawhide):

INFO: mock.py version 1.4.21 starting (python version = 3.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
INFO: Start(home-assistant-cli-0.8.0-1.fc31.src.rpm)  Config(fedora-rawhide-x86_64)
Start: clean chroot
Finish: clean chroot
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
Start: unpacking root cache
Finish: unpacking root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.21
INFO: Mock Version: 1.4.21
Start: dnf update
No matches found for the following disable plugin patterns: local, spacewalk
fedora                                                                                                                                                                                                                         23 kB/s |  15 kB     00:00    
Dependencies resolved.
... [snipped dnf update] ...
Finish: dnf update
Finish: chroot init
Start: build phase for home-assistant-cli-0.8.0-1.fc31.src.rpm
Start: build setup for home-assistant-cli-0.8.0-1.fc31.src.rpm
Building target platforms: x86_64
Building for target x86_64
setting SOURCE_DATE_EPOCH=1573948800
Wrote: /builddir/build/SRPMS/home-assistant-cli-0.8.0-1.fc32.src.rpm
No matches found for the following disable plugin patterns: local, spacewalk
fedora                                                                                                                                                                                                                         36 kB/s |  15 kB     00:00    
No matching package to install: 'python3-dateparser'
Not all dependencies satisfied
Error: Some packages could not be found.
Finish: build setup for home-assistant-cli-0.8.0-1.fc31.src.rpm
Finish: build phase for home-assistant-cli-0.8.0-1.fc31.src.rpm
ERROR: Exception(home-assistant-cli-0.8.0-1.fc31.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 21 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-x86_64/result
ERROR: Command failed: 
 # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 32 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk --disableplugin=local --disableplugin=spacewalk /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/home-assistant-cli-0.8.0-1.fc32.src.rpm --setopt=tsflags=nocontexts
No matches found for the following disable plugin patterns: local, spacewalk
fedora                                                                                                                                                                                                                         36 kB/s |  15 kB     00:00    
No matching package to install: 'python3-dateparser'
Not all dependencies satisfied
Error: Some packages could not be found.

Comment 2 Jared Smith 2019-11-18 19:00:11 UTC
Sorry, didn't see the "Depends on" field... will go review the dependency first :-)

Comment 3 Fabian Affolter 2020-03-24 14:12:20 UTC
python-dateparser is now available.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=42740266

Comment 5 Jared Smith 2020-03-26 12:00:29 UTC
Package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 83 files have unknown license. Detailed
     output of licensecheck in
     /home/jsmith/Documents/Fedora/Reviews/1773382-home-assistant-
     cli/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.1 starting (python version = 3.8.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.1
INFO: Mock Version: 2.1
Finish: chroot init
INFO: installing package(s): /home/jsmith/Documents/Fedora/Reviews/1773382-home-assistant-cli/results/home-assistant-cli-0.8.0-2.fc33.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 33 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/jsmith/Documents/Fedora/Reviews/1773382-home-assistant-cli/results/home-assistant-cli-0.8.0-2.fc33.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: home-assistant-cli-0.8.0-2.fc33.noarch.rpm
          home-assistant-cli-0.8.0-2.fc33.src.rpm
home-assistant-cli.noarch: W: spelling-error %description -l en_US hass -> sash, has, ass
home-assistant-cli.noarch: W: no-manual-page-for-binary hass-cli
home-assistant-cli.src: W: spelling-error %description -l en_US hass -> sash, has, ass
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Source checksums
----------------
https://github.com/home-assistant/home-assistant-cli/archive/0.8.0/home-assistant-cli-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : cc2423a96fcb2ab89a65667a07ba5e191f2c0caff9ec4a853ffbfd104fac1194
  CHECKSUM(SHA256) upstream package : cc2423a96fcb2ab89a65667a07ba5e191f2c0caff9ec4a853ffbfd104fac1194


Requires
--------
home-assistant-cli (rpmlib, GLIBC filtered):
    (python3.8dist(aiohttp) >= 3.5.4 with python3.8dist(aiohttp) < 4)
    (python3.8dist(click) < 8 with python3.8dist(click) >= 7)
    (python3.8dist(click-log) < 0.4 with python3.8dist(click-log) >= 0.3.2)
    (python3.8dist(dateparser) >= 0.7.1 with python3.8dist(dateparser) < 0.8)
    (python3.8dist(jsonpath-rw) >= 1.4 with python3.8dist(jsonpath-rw) < 2)
    (python3.8dist(netdisco) < 3 with python3.8dist(netdisco) >= 2.6)
    (python3.8dist(requests) < 3 with python3.8dist(requests) >= 2.22)
    (python3.8dist(ruamel.yaml) < 0.17 with python3.8dist(ruamel.yaml) >= 0.16.5)
    (python3.8dist(tabulate) < 0.9 with python3.8dist(tabulate) >= 0.8.3)
    /usr/bin/python3
    python(abi)
    python3.8dist(jinja2)
    python3.8dist(regex)
    python3.8dist(setuptools)



Provides
--------
home-assistant-cli:
    home-assistant-cli
    python3.8dist(homeassistant-cli)
    python3dist(homeassistant-cli)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1773382
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: C/C++, Java, PHP, Haskell, Perl, R, Ocaml, fonts, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Fabian Affolter 2020-03-26 12:27:41 UTC
Thanks for the review.

Comment 7 Gwyn Ciesla 2020-03-26 13:18:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/home-assistant-cli

Comment 8 Fedora Update System 2020-03-26 21:11:15 UTC
FEDORA-2020-5c580f0efa has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5c580f0efa

Comment 9 Fedora Update System 2020-03-26 21:22:21 UTC
FEDORA-2020-5a8f3b18bb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a8f3b18bb

Comment 10 Fedora Update System 2020-03-27 15:58:41 UTC
FEDORA-2020-5c580f0efa has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5c580f0efa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5c580f0efa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-03-27 19:12:31 UTC
FEDORA-2020-5a8f3b18bb has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5a8f3b18bb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a8f3b18bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fabio Valentini 2020-03-29 14:18:07 UTC
This package should not have passed review, at least not yet.

It's not even installable on fedora, due to the jsonpath-rw dependency being either not present in older branches, or too old in fedora 32+.

Comment 13 Fedora Update System 2020-04-23 20:45:46 UTC
FEDORA-2020-d5459d86bc has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d5459d86bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5459d86bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-04-25 04:18:34 UTC
FEDORA-2020-c3d522a9b3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c3d522a9b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3d522a9b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-01 04:05:51 UTC
FEDORA-2020-d5459d86bc has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-03 04:53:36 UTC
FEDORA-2020-c3d522a9b3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.